From 44016f1fafc69f26357bd996fbc8ac9f976d2e64 Mon Sep 17 00:00:00 2001
From: saidatnanjuki <saidatnanjuki@gmail.com>
Date: Apr 07 2019 03:48:41 +0000
Subject: [PATCH 5/5] adding a search button inside an input field


---

diff --git a/happinesspackets/messaging/forms.py b/happinesspackets/messaging/forms.py
index b9f9636..f3eacfc 100644
--- a/happinesspackets/messaging/forms.py
+++ b/happinesspackets/messaging/forms.py
@@ -13,6 +13,9 @@ from django.db.models import Q
 from django.utils import timezone
 
 from .models import Message, strip_email
+from crispy_forms.helper import FormHelper
+from crispy_forms.layout import Layout, Fieldset, ButtonHolder, Submit
+
 
 logger = logging.getLogger(__name__)
 
@@ -59,6 +62,9 @@ class MessageSendForm(forms.ModelForm):
             Fieldset("Privacy and permissions", 'sender_named', 'sender_approved_public', 'sender_approved_public_named'),
             HTML("<br>"),
             Submit('submit', 'Send some happiness', css_class='btn-lg centered'),
+            ButtonHolder(
+                Submit('submit', 'Submit', css_class='button white')
+            )
         )
 
     def clean(self):

